For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://api-doc-new.gideononline.com/gideon-api-1-0/diagnosis/llms.txt. For full documentation content, see https://api-doc-new.gideononline.com/gideon-api-1-0/diagnosis/llms-full.txt.

# /diagnosis/diagnose/first-case

GET https://api.gideononline.com/diagnosis/diagnose/first-case

First-case presents a list of diseases which are compatible with the symptoms provided, but are not currently reported in the specified countries. 

Reference: https://api-doc-new.gideononline.com/gideon-api-1-0/diagnosis/diagnosis-diagnose-first-case

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /diagnosis/diagnose/first-case:
    get:
      operationId: diagnosis-diagnose-first-case
      summary: /diagnosis/diagnose/first-case
      description: >-
        First-case presents a list of diseases which are compatible with the
        symptoms provided, but are not currently reported in the specified
        countries. 
      tags:
        - subpackage_diagnosis
      parameters:
        - name: B10
          in: query
          description: >-
            The key (i.e. B10 in this example) represents the symptom code.  The
            list of symptom names and the corresponding symptom codes can be
            obtained by making the /diagnosis/symptoms API request.  It can have
            one of three values: 

            - 1: yes

            - 2: no

            - 3: unknown   

            You can provide multiple key-value pairs to designate symptom
            statuses.
          required: false
          schema:
            type: integer
        - name: exposure_start
          in: query
          description: >-
            The number of days from the first date of exposure until the onset
            of the disease
          required: false
          schema:
            type: string
        - name: exposure_end
          in: query
          description: >-
            The number of days from the last date of exposure until the onset of
            the disease
          required: false
          schema:
            type: string
        - name: country
          in: query
          description: >-
            Provide one more multiple countries of acquisition separated by
            commas. Country of acquisition is known, provide the country code
            (ie. G292 & G102 in this example). The list of country names and the
            corresponding country codes can be obtained by making the
            /diagnosis/countries API request\n","enabled":true}]
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Diagnosis_/diagnosis/diagnose/first-case_Response_200
servers:
  - url: https://api.gideononline.com
  - url: https://api-test.gideononline.com
components:
  schemas:
    Diagnosis_/diagnosis/diagnose/first-case_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Diagnosis_/diagnosis/diagnose/first-case_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

```

## SDK Code Examples

```python
import requests

url = "https://api.gideononline.com/diagnosis/diagnose/first-case"

querystring = {"B10":"2","exposure_start":"Optional","exposure_end":"Optional","country":"G292,G102"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.gideononline.com/diagnosis/diagnose/first-case?B10=2&exposure_start=Optional&exposure_end=Optional&country=G292%2CG102';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gideononline.com/diagnosis/diagnose/first-case?B10=2&exposure_start=Optional&exposure_end=Optional&country=G292%2CG102"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gideononline.com/diagnosis/diagnose/first-case?B10=2&exposure_start=Optional&exposure_end=Optional&country=G292%2CG102")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gideononline.com/diagnosis/diagnose/first-case?B10=2&exposure_start=Optional&exposure_end=Optional&country=G292%2CG102")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gideononline.com/diagnosis/diagnose/first-case?B10=2&exposure_start=Optional&exposure_end=Optional&country=G292%2CG102', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gideononline.com/diagnosis/diagnose/first-case?B10=2&exposure_start=Optional&exposure_end=Optional&country=G292%2CG102");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gideononline.com/diagnosis/diagnose/first-case?B10=2&exposure_start=Optional&exposure_end=Optional&country=G292%2CG102")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```